"use strict";Liferay.Loader.define("liferay!portal-workflow-instance-tracker-web$graphlib@2.1.8/lib/graph",["module","exports","require","./lodash"],(function(e,t,i){window;{var r=i("./lodash");e.exports=Graph;var s="\0";function Graph(e){this._isDirected=!r.has(e,"directed")||e.directed,this._isMultigraph=!!r.has(e,"multigraph")&&e.multigraph,this._isCompound=!!r.has(e,"compound")&&e.compound,this._label=void 0,this._defaultNodeLabelFn=r.constant(void 0),this._defaultEdgeLabelFn=r.constant(void 0),this._nodes={},this._isCompound&&(this._parent={},this._children={},this._children["\0"]={}),this._in={},this._preds={},this._out={},this._sucs={},this._edgeObjs={},this._edgeLabels={}}function incrementOrInitEntry(e,t){e[t]?e[t]++:e[t]=1}function decrementOrRemoveEntry(e,t){--e[t]||delete e[t]}function edgeArgsToId(e,t,i,s){var n=""+t,o=""+i;if(!e&&n>o){var h=n;n=o,o=h}return n+""+o+""+(r.isUndefined(s)?"\0":s)}function edgeArgsToObj(e,t,i,r){var s=""+t,n=""+i;if(!e&&s>n){var o=s;s=n,n=o}var h={v:s,w:n};return r&&(h.name=r),h}function edgeObjToId(e,t){return edgeArgsToId(e,t.v,t.w,t.name)}Graph.prototype._nodeCount=0,Graph.prototype._edgeCount=0,Graph.prototype.isDirected=function(){return this._isDirected},Graph.prototype.isMultigraph=function(){return this._isMultigraph},Graph.prototype.isCompound=function(){return this._isCompound},Graph.prototype.setGraph=function(e){return this._label=e,this},Graph.prototype.graph=function(){return this._label},Graph.prototype.setDefaultNodeLabel=function(e){return r.isFunction(e)||(e=r.constant(e)),this._defaultNodeLabelFn=e,this},Graph.prototype.nodeCount=function(){return this._nodeCount},Graph.prototype.nodes=function(){return r.keys(this._nodes)},Graph.prototype.sources=function(){var e=this;return r.filter(this.nodes(),(function(t){return r.isEmpty(e._in[t])}))},Graph.prototype.sinks=function(){var e=this;return r.filter(this.nodes(),(function(t){return r.isEmpty(e._out[t])}))},Graph.prototype.setNodes=function(e,t){var i=arguments,s=this;return r.each(e,(function(e){i.length>1?s.setNode(e,t):s.setNode(e)})),this},Graph.prototype.setNode=function(e,t){return r.has(this._nodes,e)?(arguments.length>1&&(this._nodes[e]=t),this):(this._nodes[e]=arguments.length>1?t:this._defaultNodeLabelFn(e),this._isCompound&&(this._parent[e]=s,this._children[e]={},this._children["\0"][e]=!0),this._in[e]={},this._preds[e]={},this._out[e]={},this._sucs[e]={},++this._nodeCount,this)},Graph.prototype.node=function(e){return this._nodes[e]},Graph.prototype.hasNode=function(e){return r.has(this._nodes,e)},Graph.prototype.removeNode=function(e){var t=this;if(r.has(this._nodes,e)){var removeEdge=function(e){t.removeEdge(t._edgeObjs[e])};delete this._nodes[e],this._isCompound&&(this._removeFromParentsChildList(e),delete this._parent[e],r.each(this.children(e),(function(e){t.setParent(e)})),delete this._children[e]),r.each(r.keys(this._in[e]),removeEdge),delete this._in[e],delete this._preds[e],r.each(r.keys(this._out[e]),removeEdge),delete this._out[e],delete this._sucs[e],--this._nodeCount}return this},Graph.prototype.setParent=function(e,t){if(!this._isCompound)throw new Error("Cannot set parent in a non-compound graph");if(r.isUndefined(t))t=s;else{for(var i=t+="";!r.isUndefined(i);i=this.parent(i))if(i===e)throw new Error("Setting "+t+" as parent of "+e+" would create a cycle");this.setNode(t)}return this.setNode(e),this._removeFromParentsChildList(e),this._parent[e]=t,this._children[t][e]=!0,this},Graph.prototype._removeFromParentsChildList=function(e){delete this._children[this._parent[e]][e]},Graph.prototype.parent=function(e){if(this._isCompound){var t=this._parent[e];if(t!==s)return t}},Graph.prototype.children=function(e){if(r.isUndefined(e)&&(e=s),this._isCompound){var t=this._children[e];if(t)return r.keys(t)}else{if(e===s)return this.nodes();if(this.hasNode(e))return[]}},Graph.prototype.predecessors=function(e){var t=this._preds[e];if(t)return r.keys(t)},Graph.prototype.successors=function(e){var t=this._sucs[e];if(t)return r.keys(t)},Graph.prototype.neighbors=function(e){var t=this.predecessors(e);if(t)return r.union(t,this.successors(e))},Graph.prototype.isLeaf=function(e){return 0===(this.isDirected()?this.successors(e):this.neighbors(e)).length},Graph.prototype.filterNodes=function(e){var t=new this.constructor({directed:this._isDirected,multigraph:this._isMultigraph,compound:this._isCompound});t.setGraph(this.graph());var i=this;r.each(this._nodes,(function(i,r){e(r)&&t.setNode(r,i)})),r.each(this._edgeObjs,(function(e){t.hasNode(e.v)&&t.hasNode(e.w)&&t.setEdge(e,i.edge(e))}));var s={};function findParent(e){var r=i.parent(e);return void 0===r||t.hasNode(r)?(s[e]=r,r):r in s?s[r]:findParent(r)}return this._isCompound&&r.each(t.nodes(),(function(e){t.setParent(e,findParent(e))})),t},Graph.prototype.setDefaultEdgeLabel=function(e){return r.isFunction(e)||(e=r.constant(e)),this._defaultEdgeLabelFn=e,this},Graph.prototype.edgeCount=function(){return this._edgeCount},Graph.prototype.edges=function(){return r.values(this._edgeObjs)},Graph.prototype.setPath=function(e,t){var i=this,s=arguments;return r.reduce(e,(function(e,r){return s.length>1?i.setEdge(e,r,t):i.setEdge(e,r),r})),this},Graph.prototype.setEdge=function(){var e,t,i,s,n=!1,o=arguments[0];"object"==typeof o&&null!==o&&"v"in o?(e=o.v,t=o.w,i=o.name,2===arguments.length&&(s=arguments[1],n=!0)):(e=o,t=arguments[1],i=arguments[3],arguments.length>2&&(s=arguments[2],n=!0)),e=""+e,t=""+t,r.isUndefined(i)||(i=""+i);var h=edgeArgsToId(this._isDirected,e,t,i);if(r.has(this._edgeLabels,h))return n&&(this._edgeLabels[h]=s),this;if(!r.isUndefined(i)&&!this._isMultigraph)throw new Error("Cannot set a named edge when isMultigraph = false");this.setNode(e),this.setNode(t),this._edgeLabels[h]=n?s:this._defaultEdgeLabelFn(e,t,i);var d=edgeArgsToObj(this._isDirected,e,t,i);return e=d.v,t=d.w,Object.freeze(d),this._edgeObjs[h]=d,incrementOrInitEntry(this._preds[t],e),incrementOrInitEntry(this._sucs[e],t),this._in[t][h]=d,this._out[e][h]=d,this._edgeCount++,this},Graph.prototype.edge=function(e,t,i){var r=1===arguments.length?edgeObjToId(this._isDirected,arguments[0]):edgeArgsToId(this._isDirected,e,t,i);return this._edgeLabels[r]},Graph.prototype.hasEdge=function(e,t,i){var s=1===arguments.length?edgeObjToId(this._isDirected,arguments[0]):edgeArgsToId(this._isDirected,e,t,i);return r.has(this._edgeLabels,s)},Graph.prototype.removeEdge=function(e,t,i){var r=1===arguments.length?edgeObjToId(this._isDirected,arguments[0]):edgeArgsToId(this._isDirected,e,t,i),s=this._edgeObjs[r];return s&&(e=s.v,t=s.w,delete this._edgeLabels[r],delete this._edgeObjs[r],decrementOrRemoveEntry(this._preds[t],e),decrementOrRemoveEntry(this._sucs[e],t),delete this._in[t][r],delete this._out[e][r],this._edgeCount--),this},Graph.prototype.inEdges=function(e,t){var i=this._in[e];if(i){var s=r.values(i);return t?r.filter(s,(function(e){return e.v===t})):s}},Graph.prototype.outEdges=function(e,t){var i=this._out[e];if(i){var s=r.values(i);return t?r.filter(s,(function(e){return e.w===t})):s}},Graph.prototype.nodeEdges=function(e,t){var i=this.inEdges(e,t);if(i)return i.concat(this.outEdges(e,t))}}}));
//# sourceMappingURL=graph.js.map